#components-reconnect-modal {
    position: fixed;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: 10001;
    background-color: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(5px);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s linear;
}

#components-reconnect-modal.components-reconnect-show,
#components-reconnect-modal.components-reconnect-failed,
#components-reconnect-modal.components-reconnect-rejected {
    opacity: 1;
    pointer-events: auto;
}

#components-reconnect-modal .show,
#components-reconnect-modal .failed,
#components-reconnect-modal .rejected {
    display: none;
    text-align: center;
    font-weight: bold;
}

#components-reconnect-modal.components-reconnect-show .show {
    display: block;
    color: #0d6efd;
}

#components-reconnect-modal.components-reconnect-failed .failed {
    display: block;
}

#components-reconnect-modal.components-reconnect-rejected .rejected {
    display: block;
}
